Skip to main content
Infrastructure/Tenants
GETInfrastructureSince 1.0SynchronousAuth Required

ListGroups

List all user groups within the specified tenant organization.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • tenantUuidStringRequired

    UUID of the tenant to list groups for

Query Parameters

  • keywordString

    Keyword to filter groups by name Keyword to filter groups by name

  • pageInteger

    Page number (1-based) for pagination Page number (1-based) for pagination

    Example: 0

  • sizeInteger

    Number of records per page Number of records per page

    Example: 0

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

  • totalInteger

    Total number of matching org units

    Example: 10

  • limitInteger

    Maximum number of records returned per page

    Example: 20

  • offsetInteger

    Number of records skipped from the start

    Example: 20

Endpoint

GET/api/v1/tenants/{tenantUuid}/org/groups

/api/v1/tenants/{tenantUuid}/org/groups

Operation ID

ListGroups

Permalink

Request Example

curl -X GET '{host}/api/v1/tenants/{tenantUuid}/org/groups' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [],
  "total": 10,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history